Hooks:PostHook(WeaponTweakData, "init", "HK33ModInit", function(self)
if (self.hk33) then
	self.hk33.animations.bipod_enter = "bipod_enter"
	self.hk33.animations.bipod_exit = "bipod_exit"
	self.hk33.animations.bipod_recoil = "bipod_recoil"
	self.hk33.animations.bipod_recoil_enter = "bipod_recoil"
	self.hk33.animations.bipod_recoil_loop = "bipod_recoil_loop"
	self.hk33.animations.bipod_recoil_exit = "bipod_recoil_exit"

	self.hk33.spread.bipod = default_bipod_spread
	self.hk33.bipod_camera_spin_limit = 45
	self.hk33.bipod_camera_pitch_limit = 20
	self.hk33.bipod_weapon_translation = Vector3(0,8,-7)
	self.hk33.bipod_deploy_multiplier = 1
	self.hk33.timers.deploy_bipod = 0.1

	self:SetupAttachmentPoint( "hk33", {
		name = "a_b",
		base_a_obj = "a_b",
		position = Vector3(0, 1.3, 0),
		rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint( "hk33", {
		name = "a_fgfl",
		base_a_obj = "a_fl",
		position = Vector3(0, -4, 0.1),
		rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint( "hk33", {
		name = "a_o",
		base_a_obj = "a_o",
		position = Vector3(0, 0, 0.4),
		rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint( "hk33", {
		name = "a_s",
		base_a_obj = "a_s",
		position = Vector3(0, -6.05, -1.1),
		rotation = Rotation( 0, 0, 0 )
	})
end
end)